OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Types | List of all members
VectorToScalarGrid< VecGridT > Struct Template Reference

Metafunction to convert a vector-valued grid type to a scalar grid type. More...

`#include <openvdb/tools/PotentialFlow.h>`

## Public Types
using | Type = typename VecGridT::template ValueConverter< typename VecGridT::ValueType::value_type >::Type
using | Ptr = typename Type::Ptr
using | ConstPtr = typename Type::ConstPtr

## Detailed Description

template<typename VecGridT>
struct openvdb::v11_0::tools::VectorToScalarGrid< VecGridT >

Metafunction to convert a vector-valued grid type to a scalar grid type.

## Member Typedef Documentation

## ◆ ConstPtr

template<typename VecGridT >

using ConstPtr = typename Type::ConstPtr

## ◆ Ptr

template<typename VecGridT >

using Ptr = typename Type::Ptr

## ◆ Type

template<typename VecGridT >

using Type = typename VecGridT::template ValueConverter<typename VecGridT::ValueType::value_type>::Type